From ee79a817ebd1c2d45eaedfd2828ee086b39ab2c0 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Felix=20Paul=20K=C3=BChne?= <fkuehne@videolan.org>
Date: Wed, 21 Mar 2012 13:08:02 +0100
Subject: [PATCH 3/6] contrib/libogg: added support for iOS by disabling make
 check

---
 contrib/src/ogg/libogg-disable-check.patch |   12 ++++++++++++
 contrib/src/ogg/rules.mak                  |    7 ++++++-
 2 files changed, 18 insertions(+), 1 deletions(-)
 create mode 100644 contrib/src/ogg/libogg-disable-check.patch

diff --git a/contrib/src/ogg/libogg-disable-check.patch b/contrib/src/ogg/libogg-disable-check.patch
new file mode 100644
index 0000000..5801b37
--- /dev/null
+++ b/contrib/src/ogg/libogg-disable-check.patch
@@ -0,0 +1,12 @@
+diff -ru libogg/src/Makefile.am libogg/src/Makefile.am
+--- libogg/src/Makefile.am	2011-08-04 19:07:42.000000000 +0200
++++ libogg-f/src/Makefile.am	2012-03-21 13:05:23.000000000 +0100
+@@ -9,7 +9,7 @@
+ 
+ # build and run the self tests on 'make check'
+ 
+-noinst_PROGRAMS = test_bitwise test_framing
++noinst_PROGRAMS =
+ 
+ test_bitwise_SOURCES = bitwise.c
+ test_bitwise_CFLAGS = -D_V_SELFTEST
diff --git a/contrib/src/ogg/rules.mak b/contrib/src/ogg/rules.mak
index 5d49122..a9d833e 100644
--- a/contrib/src/ogg/rules.mak
+++ b/contrib/src/ogg/rules.mak
@@ -22,11 +22,16 @@ libogg: libogg-$(OGG_VERSION).tar.xz .sum-ogg
 ifdef HAVE_WINCE
 	$(APPLY) $(SRC)/ogg/libogg-wince.patch
 endif
+ifdef HAVE_IOS
+	$(APPLY) $(SRC)/ogg/libogg-disable-check.patch
+endif
 	$(UPDATE_AUTOCONFIG)
 	$(MOVE)
 
 .ogg: libogg
-	#$(RECONF)
+ifdef HAVE_IOS
+	$(RECONF)
+endif
 	cd $< && $(HOSTVARS) ./configure $(HOSTCONF)
 	cd $< && $(MAKE) install
 	touch $@
-- 
1.7.7.5 (Apple Git-26)

